Skip to main content
GET
/
v2
/
mining
/
companies
List Mining Companies
curl --request GET \
  --url https://api.sectors.app/v2/mining/companies/ \
  --header 'Authorization: <authorization>'
{
    "results": [
        {
            "slug": "adaro-andalan-indonesia",
            "name": "PT Adaro Andalan Indonesia Tbk",
            "idx_ticker": "AADI.JK",
            "company_type": "Holding",
            "key_operation": "Coal Trading",
            "commodity_type": ["Coal"]
        },
        {
            "slug": "adaro-minerals-indonesia",
            "name": "PT Adaro Minerals Indonesia Tbk",
            "idx_ticker": "ADMR.JK",
            "company_type": "Holding",
            "key_operation": "Mining",
            "commodity_type": ["Nickel", "Coal"]
        }
    ],
    "pagination": {
        "total_count": 2,
        "showing": 2,
        "limit": 20,
        "offset": 0,
        "has_next": false,
        "has_previous": false,
        "next_offset": null,
        "previous_offset": null
    }
}
{
    "results": [
        {
            "slug": "adaro-andalan-indonesia",
            "name": "PT Adaro Andalan Indonesia Tbk",
            "idx_ticker": "AADI.JK",
            "company_type": "Holding",
            "key_operation": "Coal Trading",
            "commodity_type": ["Coal"]
        },
        {
            "slug": "adaro-minerals-indonesia",
            "name": "PT Adaro Minerals Indonesia Tbk",
            "idx_ticker": "ADMR.JK",
            "company_type": "Holding",
            "key_operation": "Mining",
            "commodity_type": ["Nickel", "Coal"]
        }
    ],
    "pagination": {
        "total_count": 2,
        "showing": 2,
        "limit": 20,
        "offset": 0,
        "has_next": false,
        "has_previous": false,
        "next_offset": null,
        "previous_offset": null
    }
}
Authorization
string
required
Authorization header that should be filled with your Sectors Financial API key.

Query Parameters

keyword
string
A search query that matches against the company name, IDX ticker, slug, or key operations.
commodity_type
string
Filter companies by a specific commodity (e.g., Coal, Nickel, Gold). Case-insensitive.
company_type
string
Filter by company type. Valid values include: Mine Owner, Contractor, Holding, Manufacturer, Trader, Consultant.
has_financials
boolean
Set to true to only return companies with financial data available.
limit
integer
default:"20"
Number of results to return. Maximum value is 30.
offset
integer
default:"0"
Number of results to skip. Used for pagination.

Response

results
Company[]
pagination
object